Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Class Extension

    java.lang.Object
      org.apache.openjpa.kernel.exps.Val
          org.apache.openjpa.kernel.exps.Extension

All Implemented Interfaces:
  Serializable, Value

     class Extension

extends Val

A value produced from evaluating a custom extension.

Author:
  Abe White

Constructor Summary
`Extension(FilterListener listener, Val target, Val arg)` Constructor.

Method Summary
`void` | `acceptVisit(ExpressionVisitor visitor)` Accept a visit from a tree visitor.
`protected Object` | `eval(Object candidate, Object orig, StoreContext ctx, Object[] params)` Return this value for the given candidate.
`Class` | `getType()` Return the expected type for this value, or `Object` if the type is unknown.
`void` | `setImplicitType(Class type)` Set the implicit type of the value, based on how it is used in the filter.

Methods inherited from class org.apache.openjpa.kernel.exps.Val
`eval, evaluate, evaluate, getAlias, getMetaData, getName, getPath, getSelectAs, isAggregate, isVariable, isXPath, setAlias, setMetaData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Extension

    public Extension(FilterListener listener,
                     Val target,
                     Val arg)

  Constructor. Supply filter listener, its target value, and its argument value, if any.

Method Detail

### getType

    public Class getType()

  Description copied from interface: `Value`
  Return the expected type for this value, or `Object` if the type is unknown.

### setImplicitType

    public void setImplicitType(Class type)

  Description copied from interface: `Value`
  Set the implicit type of the value, based on how it is used in the filter. This method is only called on values who return `Object` from `Value.getType()`.

### eval

    protected Object eval(Object candidate,
                          Object orig,
                          StoreContext ctx,
                          Object[] params)

  Description copied from class: `Val`
  Return this value for the given candidate.

  Specified by:
    `eval` in class `Val`

### acceptVisit

    public void acceptVisit(ExpressionVisitor visitor)

  Description copied from interface: `Value`
  Accept a visit from a tree visitor.

  Specified by:
    `acceptVisit` in interface `Value`
  Overrides:
    `acceptVisit` in class `Val`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.